Package: org.codehaus.groovy.tools.shell

## [Groovy] Class PatchedCandidateListCompletionHandler

- org.codehaus.groovy.tools.shell.PatchedCandidateListCompletionHandler

- jline completion handler displays ANSIfied candidates nicely, but does not de-ANSIfy when adding to the prompt :-( So this class just adds this functionality. See https://github.com/jline/jline2/issues/132

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `complete(ConsoleReader reader, List<CharSequence> candidates, int pos)`

- - ### Method Detail

    - #### boolean complete(ConsoleReader reader, List<CharSequence> candidates, int pos)